Subject: Re: bug#58992: 28.2; "lax space matching" no longer works

From: Vincent Lefevre <[email-masked]>
Date: Thu, 3 Nov 2022 19:52:07 +0100

On 2022-11-03 20:42:41 +0200, Eli Zaretskii wrote:
> > Date: Thu, 3 Nov 2022 19:33:16 +0100
> > From: Vincent Lefevre <[email-masked]>
> > Cc: [email-masked]
> > 
> > > It's a very long-time Emacs behavior.  Too late to change the default.
> > 
> > Well, since the default changed in September 2021, this is not a very
> > long-time Emacs behavior. This depends on what modes users use the
> > most. This change affects at least the Fundamental and Texinfo modes.
> 
> Yes.  But in programming modes the newline didn't match.

Any reason why (perhaps except for shell modes)?

In C, except for the preprocessor, a newline is similar to a space
character.

BTW, it actually doesn't match either for the Texinfo mode, and
I don't see any reason why.

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)